Summary: 	%{_vendor} Xfce configuration files
Name:    	mageia-xfce-config
Epoch:		1
Version: 	4.16.8.2
Release: 	%mkrel 1
Group:   	Graphical desktop/Xfce
License: 	GPLv2+
URL:		https://www.mageia.org
# http://gitweb.mageia.org/software/desktop/xfce/config/
Source0: 	%{name}-%{version}.tar.xz
Source1:	xfce4-light-locker-settings.gschema.override
BuildArch: 	noarch
Requires:	%{_real_vendor}-release-common
Requires:	%{_real_vendor}-release-Default
Requires:	%{_real_vendor}-theme
# For monospace font
Requires:	fonts-ttf-dejavu
# For theme
Requires:	adwaita-icon-theme
Requires:	gtk+3.0
Obsoletes:	adwaita-xfce-theme < 20190323-3

%description
This package regroups all specific configuration files for %{_vendor} Xfce
desktop environment.

%prep
%setup -q

%install
%make_install

# Gsettings override for light-locker
install -Dpm 644 %{_sourcedir}/xfce4-light-locker-settings.gschema.override \
	%{buildroot}%{_datadir}/glib-2.0/schemas/60-xfce4-light-locker-settings.gschema.override

%files
%doc AUTHORS NEWS ChangeLog README.update.urpmi
%{_sysconfdir}/xdg/Thunar/*
%dir %{_sysconfdir}/xdg/xfce4/
%{_sysconfdir}/xdg/xfce4/*
%{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_datadir}/glib-2.0/schemas/60-xfce4-light-locker-settings.gschema.override


%changelog
* Thu Aug 05 2021 wally <wally> 1:4.16.8.2-1.mga8
+ Revision: 1739556
- new version 4.16.8.2
- don't hide Security gategory from menus (mga#29332)

* Sun Jan 24 2021 wally <wally> 1:4.16.8.1-1.mga8
+ Revision: 1673204
- new version 4.16.8.1
  - add default configuration for xfce4-screensaver
  - disable xfce4-screensaver by default

* Tue Jan 12 2021 wally <wally> 1:4.16.8.0-1.mga8
+ Revision: 1671397
- Update for Xfce 4.16 with new versioning schema without an extra zero in version number

* Sun Dec 06 2020 wally <wally> 4.140.8.5-1.mga8
+ Revision: 1653773
- new version 4.140.8.5
  - fix default file manager entry in helpers.rc (Thunar vs. thunar)

* Fri Sep 18 2020 wally <wally> 4.140.8.4-2.mga8
+ Revision: 1628648
- obsolete adwaita-xfce-theme

* Mon Jun 29 2020 wally <wally> 4.140.8.4-1.mga8
+ Revision: 1600416
- new version 4.140.8.4

* Mon Jun 29 2020 wally <wally> 4.140.8.3-1.mga8
+ Revision: 1600407
- new version 4.140.8.3

* Sun Mar 08 2020 wally <wally> 4.140.8.2-1.mga8
+ Revision: 1554865
- new version 4.140.8.2

* Wed Feb 19 2020 umeabot <umeabot> 4.140.8.1-2.mga8
+ Revision: 1543190
- Mageia 8 Mass Rebuild

* Sat Jan 18 2020 wally <wally> 4.140.8.1-1.mga8
+ Revision: 1481431
- new version 4.140.8.1
  - replace orage clock panel plugin with native clock plugin

* Sun Aug 18 2019 wally <wally> 4.140.8.0-1.mga8
+ Revision: 1429807
- new version 4.140.8.0
  - Xfwm4: disable 'Raise windows when any mouse button is pressed' by default (mga#12453)

* Mon May 27 2019 wally <wally> 4.120.7.7-1.mga7
+ Revision: 1399299
- add initial display config

* Tue May 14 2019 wally <wally> 4.120.7.6-1.mga7
+ Revision: 1397703
- increase default desktop icon size to 40 (mga#24812)

* Sat Mar 23 2019 wally <wally> 4.120.7.5-1.mga7
+ Revision: 1379749
- use Adwaita-Xfce as a default theme

* Mon Mar 04 2019 wally <wally> 4.120.7.4-2.mga7
+ Revision: 1371522
- only recommend adwaita-gtk2-theme

* Sun Feb 24 2019 wally <wally> 4.120.7.4-1.mga7
+ Revision: 1369957
- Panel: Add Xfce settings manager launcher (mga#20382)

* Mon Dec 10 2018 wally <wally> 4.120.7.3-1.mga7
+ Revision: 1339908
- Applications menu: don't show applications in both Sciences and Education/Sciences (mga#23968)

* Sat Oct 27 2018 wally <wally> 4.120.7.2-1.mga7
+ Revision: 1326196
- Xfwm4: enable display compositing by default

* Sat Oct 27 2018 wally <wally> 4.120.7.1-1.mga7
+ Revision: 1326140
- new version 4.120.7.1
  - switch back to Adwaita as a default theme

* Tue Sep 18 2018 umeabot <umeabot> 4.120.6.4-2.mga7
+ Revision: 1262272
- Mageia 7 Mass Rebuild

* Thu Mar 23 2017 wally <wally> 4.120.6.4-1.mga6
+ Revision: 1094599
- new version 4.120.6.4

* Sat Mar 11 2017 wally <wally> 4.120.6.3-2.mga6
+ Revision: 1091947
- add Gsettings override to fix double locking when screen saver starts and light-locker is installed (mga#20407)

* Tue Oct 11 2016 wally <wally> 4.120.6.3-1.mga6
+ Revision: 1060231
- New version 4.120.6.3
  o Use TraditionalOk theme from mate-themes instead of Adwaita
  o Replace pnmixer with xfce4-pulseaudio-plugin

* Sun Sep 18 2016 akien <akien> 4.120.6.2-1.mga6
+ Revision: 1053721
- Version 4.120.6.2 for s/default.jpg/default.png

* Sun Sep 18 2016 akien <akien> 4.120.6.1-2.mga6
+ Revision: 1053700
- s/mageia-theme-Default/mageia-theme/

* Sun Aug 07 2016 wally <wally> 4.120.6.1-1.mga6
+ Revision: 1044934
- new version 4.120.6.1

* Thu Feb 18 2016 umeabot <umeabot> 4.120.6.0-2.mga6
+ Revision: 965809
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 4.120.6.0-1.mga6
+ Revision: 837712
- new version 4.120.6.0
  * replace Oxygen with Adwaita

* Thu Mar 26 2015 wally <wally> 4.120.5.1-1.mga5
+ Revision: 819313
- new version 4.120.5.1

* Tue Mar 03 2015 wally <wally> 4.120.5.0-1.mga5
+ Revision: 817418
- new version 4.120.5.0

* Thu Feb 19 2015 wally <wally> 4.100.5.10-1.mga5
+ Revision: 815961
- new version 4.100.5.10

* Tue Feb 10 2015 wally <wally> 4.100.5.9-1.mga5
+ Revision: 814568
- new version 4.100.5.9

* Sat Feb 07 2015 wally <wally> 4.100.5.8-2.mga5
+ Revision: 813987
- require fonts-ttf-dejavu for monospace font

* Wed Dec 17 2014 wally <wally> 4.100.5.8-1.mga5
+ Revision: 803869
- new version 4.100.5.8
  o fixes duplicate "Database Browser" menu entry in Development menu (mga#14824)

* Wed Oct 15 2014 umeabot <umeabot> 4.100.5.7-3.mga5
+ Revision: 750683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.100.5.7-2.mga5
+ Revision: 682129
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Aug 02 2014 wally <wally> 4.100.5.7-1.mga5
+ Revision: 659196
- new version 4.100.5.7

* Sat Aug 02 2014 wally <wally> 4.100.5.6-1.mga5
+ Revision: 659182
- new version 4.100.5.6
- suggest oxygen-gtk3 too

* Sun Feb 23 2014 wally <wally> 4.100.5.5-1.mga5
+ Revision: 596031
- new version 4.100.5.5
- require orage for default clock app in systray
- drop old obsoletes and unneeded pre/preun scriptlets and requires

* Sat Feb 08 2014 wally <wally> 4.100.5.4-1.mga5
+ Revision: 586537
- new version 4.100.5.4
  * switch to whisker menu and remove appfinder from panel

* Sun Jan 19 2014 wally <wally> 4.100.5.3-1.mga4
+ Revision: 566992
- new version 4.100.5.3

* Thu Dec 19 2013 wally <wally> 4.100.5.2-1.mga4
+ Revision: 558887
- new version 4.100.5.2

* Tue Nov 12 2013 ennael <ennael> 4.100.5.1-1.mga4
+ Revision: 550640
- add restart button

* Tue Oct 22 2013 umeabot <umeabot> 4.100.5.0-2.mga4
+ Revision: 545054
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 4.100.5.0-1.mga4
+ Revision: 500712
- new version 4.100.5.0
  o drop StartupNotify workaround for 'double forking' in MCC panel launcher

* Mon Sep 30 2013 wally <wally> 4.100.4.0-2.mga4
+ Revision: 489595
- rebuild for missing suggests

* Sun Sep 15 2013 wally <wally> 4.100.4.0-1.mga4
+ Revision: 480053
- new version 4.100.4.0
  o clean panelapplet launchers
  o workaround control center launcher not working

* Sat Sep 07 2013 wally <wally> 4.100.3.0-1.mga4
+ Revision: 475653
- new version 4.100.3.0
  o add a note about losing all personal settings after removing config dirs
  o clean gtkrc and improve desktop label transparency (not enabled without user intervention)
  o fix drakconf appearance (remove patch)

* Sat Sep 07 2013 wally <wally> 4.100.2.0-3.mga4
+ Revision: 475623
- own unowned dir

* Fri Sep 06 2013 tmb <tmb> 4.100.2.0-2.mga4
+ Revision: 475420
- fix missing drakconf

* Sun Jul 28 2013 wally <wally> 4.100.2.0-1.mga4
+ Revision: 459694
- really fix mixer panel applet (mga#10855)

* Sat Jul 27 2013 wally <wally> 4.100.1.0-1.mga4
+ Revision: 459141
- use new versioning
- fix mixer panel applet

* Sat Jul 20 2013 wally <wally> 4-0.2.mga4
+ Revision: 456571
- suggest oxygen theme and icons to allow to remove those
- drop old obsoletes/conflicts

* Sat May 25 2013 wally <wally> 4-0.1.mga4
+ Revision: 427506
- improve applications menu

* Mon Jan 21 2013 wally <wally> 3-2.mga3
+ Revision: 390560
- drop subrel

* Sat Jan 12 2013 umeabot <umeabot> 3-1.8.mga3
+ Revision: 359299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 3-0.8.mga3
+ Revision: 338275
- use revived mousepad in text-editor panel launcher
- add shortcut key (F12) for xfce4-panel's new drop down panel feature

* Sat Dec 29 2012 wally <wally> 3-0.7.mga3
+ Revision: 336032
- fix file manager in helpers.rc (wrongly changed in previous release)

* Sat Dec 29 2012 wally <wally> 3-0.6.mga3
+ Revision: 336017
- update configs after terminal was renamed to xfce4-terminal

* Sun Nov 11 2012 wally <wally> 3-0.5.mga3
+ Revision: 317064
- don't provide display.xml and let users handle initial display settings themselves (mga#8037)
- fix appfinder starting hidden with Alt+F3
- introduce xfconf settings file for Thunar

* Wed Sep 26 2012 wally <wally> 3-0.4.mga3
+ Revision: 298443
- follow upstream and unset input method properties for xsettingsd (xfce#5437)
- add --replace switch to appfinder cmd in keyboard shortcuts to fix appfinder starting 'hidden' (mga#7461)
- increase bottom panel size to 32px
- clean systray settings
- hide systray and clock frames

* Tue Jul 31 2012 wally <wally> 3-0.3.mga3
+ Revision: 276813
- update thunar config
- replace old thunar's volmanrc witn new perchannel config file
- add some missing keyboard shortcuts (Alt+PrtScr and XF86HomePage)
- add backgroung picture for Terminal and change default font size to 10pt

* Tue Jul 24 2012 wally <wally> 3-0.2.mga3
+ Revision: 274036
- sync first part of configs with upstream Xfce 4.10

* Wed Jul 18 2012 wally <wally> 3-0.1.mga3
+ Revision: 272330
- first release for upcoming mga3
  * provide only one pkg as we don't ship more than one Xfce flavour currently
  * update applications menu
  * update panel configuration and plugins (from Georges Eckenschwiller, mga#4518)
  * update some configurations
  * use Oxygen as default icon theme
- clean and refactor .spec

* Sat Apr 28 2012 wally <wally> 2-1.mga2
+ Revision: 234078
- new version for mga2
- fix duplicate entries and move exo-mail-reader in main menu
- hide xfce4-about from tools menu

* Thu Apr 26 2012 wally <wally> 1-10.mga2
+ Revision: 233350
- use oxygen as default theme for gtk, xfwm4 and icons (mga#5612)
- clean .spec

* Tue Apr 12 2011 ahmad <ahmad> 1-9.mga1
+ Revision: 84019
- add Type key to text-editor.desktop so that users can edit the text editor icon
  on the panel. (mga#791)

* Tue Mar 29 2011 ahmad <ahmad> 1-8.mga1
+ Revision: 78863
- correct xfdesktop syntax, it's -reload and not --reload, now

* Fri Mar 25 2011 ahmad <ahmad> 1-7.mga1
+ Revision: 77207
- fix kde*menus file locations in xfce-applications.menu

* Thu Mar 24 2011 ahmad <ahmad> 1-6.mga1
+ Revision: 77096
- don't ship xfce4-login-sound.desktop as we don't have a default sound theme
  with a login sound yet
- don't install volstatus stuff, it doesn't work since xfce-4.7.x

* Sun Mar 13 2011 ahmad <ahmad> 1-5.mga1
+ Revision: 70456
- conflict with xfce-utils < 4.8.1
- change some .desktop names to the current ones so that they show up in the menu
- add a configuration file for the xfce-panel using the new xfconf format for
  xfce-4.8.0
- adapt the launchers to the new format in xfce-4.8.0

* Sun Feb 20 2011 ahmad <ahmad> 1-4.mga1
+ Revision: 54655
- fix the xfce4-firstrun script

* Sun Feb 20 2011 ahmad <ahmad> 1-3.mga1
+ Revision: 54456
- use .png files for the menu icon and for the drakconf launcher

* Fri Feb 18 2011 ahmad <ahmad> 1-2.mga1
+ Revision: 53949
- fix requires

* Fri Feb 18 2011 ahmad <ahmad> 1-1.mga1
+ Revision: 53846
- try using mageia- instead of %%_real_vendor in the Name tag
- imported package mageia-xfce-config

